import { Link } from '../Router.jsx'
import { Markdown } from './Markdown.jsx'

export const Problem = ({ id, content }) => {
    return (
        <div class="problem">
            <div class="problem-header">
                <div class="problem-title">
                    <Link page={`/problem/:id`} params={{ id }}>
                        Problema {id}
                    </Link>
                </div>
            </div>
            <div class="problem-content">
                <Markdown source={content} />
            </div>
        </div>
    )
}
