import Router from 'preact-router'

import { HomePage } from './pages/Home.jsx'
import { LoginPage } from './pages/Login.jsx'
import { ProblemPage } from './pages/Problem.jsx'

export const App = ({ path }) => (
    <Router>
        <HomePage path="/" />
        <LoginPage path="/login" />
        <ProblemPage path="/problem/:id" />
    </Router>
)
